import java.io.*;
// Aufgabe 1: Erweitere den Generator um neue teil- und hauptworte
// Aufgabe 2: Erweitere den Generator um ein beschreibendes Adjektiv:
//            Beispielergebnis: "hübsches Mäusezähnchen" oder "blühendes Zimtfünkchen"
public class KosenamengeneratorList {
    List teilworte;
    List hauptworte;

    public KosenamengeneratorList() {
        teilworte = new List();
        hauptworte = new List();

        try {
            BufferedReader reader1 = new BufferedReader(new FileReader("teilworte.txt"));
            String line1 = null;
            while ((line1 = reader1.readLine()) != null) {
                System.out.println("Zeileninhalt aus Datei: "+line1);
                teilworte.append(line1);
            }
            reader1.close();

            BufferedReader reader2 = new BufferedReader(new FileReader("hauptworte.txt"));
            String line2 = null;
            while ((line2 = reader2.readLine()) != null) {
                System.out.println("Zeileninhalt aus Datei: "+line2);
                hauptworte.append(line2);
            }
            reader2.close();
        } catch (IOException e) {
            System.out.println("Aus Datei Lesen schlug fehl: "+e);
        }        

        teilworte.append("Mäuse");
        teilworte.append("Schnurzel");
        teilworte.append("Zauber");
        teilworte.append("Zimt");
        teilworte.append("Wuschel");
        teilworte.append("Traum");
        hauptworte.append("zähnchen");
        hauptworte.append("würfelchen");
        hauptworte.append("bärchen");
        hauptworte.append("schneckchen");
        hauptworte.append("fünkchen");
        hauptworte.append("flocke");
        hauptworte.append("spatz");
    }

    public int zufall(int von, int bis) {
        int differenz = bis - von + 1;
        int zufallszahl = (int) (Math.random() * differenz);
        return von + zufallszahl;
    }

    public String getName() {
        String teil1 = (String) teilworte.getElementAt(zufall(0,teilworte.getSize()-1));
        String teil2 = (String) hauptworte.getElementAt(zufall(0,hauptworte.getSize()-1));
        return teil1 + teil2;
    }
}
