
public class List {
    Node head;
    Node current;
    int size;

    public void append(Object obj) {
        Node tmpNode = new Node();
        tmpNode.inhalt = obj;
        if(head == null) {
            head = tmpNode;
        } else {
            Node p = head;
            while(p.next != null) {
                p = p.next;
            }
            // p zeigt nun auf den letzten Node
            p.next = tmpNode;
        }
        size++;
    }

    public void currentToFront() {
        current = head;
    }

    public boolean hasNext() {
        if((current != null) && (current.next != null)) {
            return true;
        }
        return false;		
    }

    public Object getElementAt(int pos) {
        Node c = head; int idx = 0; while((idx < pos) && (c != null)) { c = c.next; idx++; }  return c.inhalt;
    }

    public int getSize() {
        return size;
    }

    public void currentNext() {
        current = current.next;
    }

    public Object getCurrent() {
        return current.inhalt;
    }

}

